#! /bin/sh
#
# Borrowed the idea for this script (and some code) from libcurl.
#
prefix=@prefix@
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include

usage()
{
    cat <<EOF
Usage: ncdap-config [OPTION]

Available values for OPTION include:

  --help      display this help message and exit
  --cc        C compiler
  --cxx       C++ compiler
  --fc        Fortran compiler
  --cflags    pre-processor and compiler flags
  --fflage    extra flags needed to compile a Fortran program
  --libs      library linking information for libnc-dap
  --flibs     extra libraries needed to link a Fortran program
  --prefix    Install prefix
  --version   Library version
EOF

    exit $1
}

if test $# -eq 0; then
    usage 1
fi

while test $# -gt 0; do
    case "$1" in
    # this deals with options in the style
    # --option=value and extracts the value part
    # [not currently used]
    -*=*) value=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
    *) value= ;;
    esac

    case "$1" in
    --help)
	usage 0
	;;

    --cc)
	echo "@CC@"
	;;

    --cxx)
	echo "@CXX@"
	;;

    --fc)
	echo "@FC@"
	;;

    --cflags)
	echo "-I${includedir}/@PACKAGE_NAME@"
	;;

    --fflags)
	echo "@FFLAGS@ -I${includedir}/@PACKAGE_NAME@"
	;;

    --libs)
       	echo "-L${libdir} -lnc-dap @LIBS@"
       	;;

    --flibs)
       	echo "-L${libdir} -lnc-dap @LIBS@ @FLIBS@ -lstdc++"
       	;;

    --prefix)
       	echo "${prefix}"
       	;;

    --version)
	echo "@PACKAGE_NAME@ @PACKAGE_VERSION@"
	;;

    *)
        echo "unknown option: $1"
	usage
	exit 1
	;;
    esac
    shift
done

exit 0
